using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MasterLinkFutures.Helper
{
    public abstract class SingletonBase<T> where T:SingletonBase<T>,new()
    {
        private static T m_instance = null;
        public static T instance
        {
            get
            {
                if (m_instance == null) m_instance = new T();
                return m_instance;
            }
        }
    }
}
